<div class='ptx__tax'>
  <form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[30,30]">
      <!--Mã-->
      <div nz-col nzXs="12" nzLg="12">
        <mb-input-text
          formControlName="code"
          [mbMaxLength]="20"
          [mbType]="isSubmitted && form.controls['code'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['code'].errors !== null"
          [mbErrors]="form.controls['code'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.categories.documentTypeCode' | translate }}]"
          mbPlaceholderText="{{'staffManager.categories.documentTypeCode' | translate}}"
          mbLabelText="{{'staffManager.categories.documentTypeCode' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>

      <!--Tên-->
      <div nz-col nzXs="12" nzLg="12">
        <mb-input-text
          formControlName="name"
          [mbMaxLength]="200"
          [mbType]="isSubmitted && form.controls['name'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['name'].errors !== null"
          [mbErrors]="form.controls['name'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.categories.documentTypeName' | translate }}]"
          mbPlaceholderText="{{'staffManager.categories.documentTypeName' | translate}}"
          mbLabelText="{{'staffManager.categories.documentTypeName' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>

      <!--Loại quyết định-->
      <div nz-col nzXs="12" nzLg="12">
        <mb-select [mbDataSelects]="listType"
                   formControlName="type"
                   [mbType]="isSubmitted && form.controls['type'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['type'].errors !== null"
                   [mbErrors]="form.controls['type'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.categories.documentType' | translate }}]"
                   mbPlaceholder="{{'staffManager.categories.documentType' | translate}}"
                   mbLabelText="{{'staffManager.categories.documentType' | translate}} <span class='label__required'>*</span>"
        ></mb-select>
      </div>

      <div nz-col [nzXs]="12" [nzLg]="12"></div>

      <div nz-col [nzXs]="12" [nzLg]="12">
        <nz-switch formControlName="isShowEndDate"></nz-switch>
        <span style="margin-left: 10px">{{'staffManager.categories.showEndDate' | translate }}</span>
      </div>

      <div nz-col [nzXs]="12" [nzLg]="12">
        <nz-switch formControlName="isRequiredEndDate"></nz-switch>
        <span style="margin-left: 10px">{{'staffManager.categories.requiredEndDate' | translate }}</span>
      </div>

      <div nz-col [nzXs]="12" [nzLg]="12">
        <nz-switch formControlName="isShowTrial"></nz-switch>
        <span style="margin-left: 10px">{{'staffManager.categories.showTrial' | translate }}</span>
      </div>

      <div nz-col [nzXs]="12" [nzLg]="12">
        <nz-switch formControlName="isRequiredTrial"></nz-switch>
        <span style="margin-left: 10px">{{'staffManager.categories.requiredTrial' | translate }}</span>
      </div>

      <div nz-col [nzXs]="12" [nzLg]="12">
        <nz-switch formControlName="isShowKeepSenior"></nz-switch>
        <span style="margin-left: 10px">{{'staffManager.categories.showKeepSenior' | translate }}</span>
      </div>

      <div nz-col nzXs="24" nzLg="24" [ngStyle]="{'text-align': 'right'}" >
        <button nz-button nzType="default" *ngIf="!isDetail" (click)="closeModalAdd()">{{'staffManager.recruit.action.cancel' | translate}}</button>
        <button nz-button nzType="default" *ngIf="isDetail" (click)="closeModalAdd()">{{'staffManager.recruit.action.back' | translate}}</button>
        <mb-button mbButtonSize='SMALL' mbButtonAvailableStyle='PRIMARY'
                   (click)="save()"
                   *ngIf="!isDetail"
                   mbButtonText="{{'staffManager.recruit.action.save' | translate}}"></mb-button>
      </div>

    </div>
  </form>
</div>
